## open-iscsi 2.1.1

=== debian/changelog ===
open-iscsi (2.1.1-1ubuntu2.1) groovy; urgency=medium

  * d/open-iscsi.finalrd: fix UID resolution issues in logout (LP: #1922976)
    Thanks to Michael Brown

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Mar 2021 09:44:07 +0100

open-iscsi (2.1.1-1ubuntu2) groovy; urgency=medium

  * debian/control, debian/rules: Fix libopeniscsiusr binary package
    name (LP: #1892228).
  * debian/rules: Fix deprecated warning for dh_installinit that
    --no-restart-on-upgrade has been replaced by --no-stop-on-upgrade,
    which is equivalent in functionality (ref deb #837528).

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 19 Aug 2020 19:08:47 +0000

open-iscsi (2.1.1-1ubuntu1) groovy; urgency=medium

  * New upstream version 2.1.1
  * d/rules: Don't FTBFS due to warnings new in gcc10 regarding bounds
    and initialization, because upstream's gcc10 support is incomplete.
    This change can be dropped when upstream has completed their gcc
    support.
  * Merge with Debian unstable (LP: #1891374). Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      - README-boot-test.md
      - tgt-boot-test: tests
      - test-open-iscsi.py
      - testlib.py
      - get-image
      - patch-image
      - testsuite
      - xkvm
    - d/iscsid.service: Let iscsid systemd job run in privileged containers
      but not in unprivileged ones
    - d/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
      run ipconfig to gather all DHCP config info, including DNS search
      domain, which iBFT can't provide.
    - Remove initramfs interfaces stamp in case no iscsi devs mounted.
      If iscsi root was requested, but no iscsi devices were mounted, remove
      the initramfs interfaces stamp file. Meaning, that on shutdown there is
      no 30s delay, whilst trying to re-establish iscsi login to perform a
      logout.
    - add IPv6 support
      - Source /run/net6-*.conf when needed.
      - d/extra/initramfs.local-top: handle IPv6 configs being shipped in
        DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
        .interface
    - d/rules, d/open-iscsi.finalrd, d/control: ship the finalrd iscsi logout
      hook and recommend finalrd and busybox for the logout hook to work.
    - Make iscsid socket-activated to only activate it as needed:
      - debian/open-iscsi.service: do not start or check iscsid.service
      - debian/rules: install and enable iscsid.socket
      - debian/open-iscsi.postinst:
        - run restart logic only if service is running on upgrade
        - drop no longer reachable upgrade path that affects iscsid
        - disable iscsid.service on upgrade
        - handle iscsid.socket to be started if the service is not running yet
      - d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
        run when udev disks are attached.
      - d/iscsid.service: Remove ExecStop= directive.
      - debian/tests/install: fix tests to work with socket activation
      - debian/patches/lp1755858-default-iscsid_conf-to-iscsid_socket.patch
    - debian/open-iscsi.service: Start open-iscsi systemd job when either
      /etc/iscsi/nodes or /sys/class/iscsi_session have content.
    - Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown if the system is using
      resolvconf or ifupdown:
      - d/iscsi-network-interface.rules
      - d/extra/net-interface-handler
    - d/extra/initramfs.hook: add ib_iser to the list of modules included in
      the initramfs, so that we can in principle support iscsi root on
      infiniband.
    - d/open-iscsi.kmod drop: (LP #1833586)
      no static module list is needed if we let iscsid load modules itself.
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - Use python2 instead of python in the autopkg tests: Next step for
      open-iscsi is to revist all iscsi-root feature and autopkgtests, so
      keep python2 to avoid re-work later.
    - d/extra/initramfs.local-{top,bottom}: move removal of
      open-iscsi.interface file from local-top to local-bottom, and fix shell
      quoting issue that would result in /run/initramfs/ open-iscsi.interface
      always being removed (LP #1872813)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 13 Aug 2020 04:29:43 +0000

open-iscsi (2.1.1-1) experimental; urgency=medium

  [ Rafael David Tinoco ]
  * New upstream version 2.1.1:
    - [76d0a49] Remove OpenSSL dependency due to GPL license conflict
    - [5f12ebf] Bump compatibility
    - [44034fb] Updates to debian/rules:
      - Update package description from upstream documentation
      - Update Standards-Version
      - Update Build-Depends and Depends
      - Create new needed packages (open-iscsi userland library)
    - [f4f0987] Update copyright and fix lintian complains
    - [37cef72] status command defined to show active sessions
    - [4b93bb8] Remove old post-installation workaround and update path
    - [0a5ec77] Remove rest of unneeded old update path (abort-upgrade)
    - [a4762f0] Remove rest of unneeded old update path (upgrade)
    - [6915ce5] iscsid.service is needed whenever iscsi disks are added
    - [1002212] Update tests dependencies
    - [d3b6647] Workaround for Flex 2.5.35 is not needed anymore
    - [396b15a] Use debian/rules for dh overrides (easier to manage)
    - [3427d74] Remove old openssl patch to licensing issue:
      - d/p/debian/dont-link-against-openssl.patch
    - [dc3cfaf] Drop unneeded patches for v2.1.1:
      - bugfixes/no-make-clean-kernel.patch (2.0.875-47-gb4a1cef)
      - debian/var-run-lock.patch (2.0.877-27-g0f30033)
      - debian/udeb-without-libmount.patch (libmount1-dbgsym:2.35.1-5)
      - bugfixes/need_iscsiuio_for_hardware_offload.patch (2.0.873-214-gf780a82)
      - bugfixes/move_offload_discovery_to_fw_get_targets.patch (2.0.873-215-g3ae35d3)
      - bugfixes/fix_iscsiuio_long_options.patch (2.0.873-216-g0685179)

