=== debian/changelog ===
open-iscsi (2.1.3-5) unstable; urgency=medium

  [ Cyril Brulebois ]
  * [3b8b2d8] Revert "Set architecture for build to linux-any"
  * [1297e50] Adjust dh_auto_install and dh_makeshlibs overrides for the conditional udeb.

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 20 May 2021 19:52:30 +0530

open-iscsi (2.1.3-4) unstable; urgency=medium

  * [8142984] Set architecture for build to linux-any. This ensures that the
    library is built on the right set of architectures and dh_makeshlibs is
    invoked appropriately. (Closes: #987858)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 04 May 2021 21:45:56 +0530

open-iscsi (2.1.3-3) unstable; urgency=medium

  * [47645a5] Make open-iscsi-udeb compatible with d-i.
    Thanks to Cyril Brulebois (Closes: #987568)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 29 Apr 2021 13:43:35 +0530

open-iscsi (2.1.3-2) unstable; urgency=medium

  * [c3b7109] Fix FTCBFS:
    Let dh_auto_configure pass --host to iscsiuio/configure.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #898758)
  * [efb5512] Add patches from upstream:
    Fix memory leak in iscsiadm, Fix iscsiadm segfault when exiting, and
    Fix iscsistart login issue when target is delayed. The last one should
    fix #980085. (Closes: #980085)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Feb 2021 19:23:13 +0000

open-iscsi (2.1.3-1) unstable; urgency=medium

  * [afee47d] New upstream version 2.1.3
    - Fixes CVE-2020-13987, CVE-2020-17437, CVE-2020-13988.
  * [236761e] Mark open-iscsi, iscsiuio M-A: foreign (Closes: #941099)
  * [3e25b6a] d/README.source: remove obsolete get-orig-source note
  * [296cd55] Explicitly set build date for docs.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #975046)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 24 Dec 2020 00:09:46 +0000

open-iscsi (2.1.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.
  * Add myself to Uploaders.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 06 Dec 2020 23:25:11 +0000

open-iscsi (2.1.2-1) unstable; urgency=medium

  * [7f10701] New upstream version 2.1.2
  * [51e4a23] Drop all patches
  * [94b33e9] Fix Vcs-Browser link
  * [36f52c9] Add a news entry about linkage with OpenSSL
  * [8bee5c7] Update d/copyright with copyright and license information
  * [02bacbf] Remove unused code to parse changelog
  * [72bc9ac] Set libopensicsiusr-dev to arch:all as it has no
    architecture dependent files

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 15 Nov 2020 17:09:06 +0530

open-iscsi (2.1.1-2) unstable; urgency=medium

  * Upload to Unstable
  * [71e9333] Set to master
  * [dd49a5a] Add patches to fix compiler warnings

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 14 Aug 2020 12:32:16 +0530
