=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: open-iscsi
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
+Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
-           Christian Seiler <christian@iwakd.de>
+           Christian Seiler <christian@iwakd.de>,
+           Chris Hofstaedtler <zeha@debian.org>
 Build-Depends: bison,
                bzip2,
                debhelper (>= 10),
@@ -19,18 +19,18 @@
                libssl-dev
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/open-iscsi.git
-Vcs-Browser: https://salsa.debian.org/linux-blocks-team/open-iscsi.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/open-iscsi
 Homepage: http://www.open-iscsi.com/
 Testsuite: autopkgtest
 Rules-Requires-Root: no
 
 Package: open-iscsi
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libopeniscsiusr0.2.0,
+         libopeniscsiusr,
          udev
-Recommends: ${busybox:Recommends}, finalrd (>= 3)
 Pre-Depends: debconf | debconf-2.0
 Description: iSCSI initiator tools
  The Open-iSCSI project is a high-performance, transport independent,
@@ -54,7 +54,7 @@
  This package includes a daemon, iscsid, and a management utility,
  iscsiadm.
 
-Package: libopeniscsiusr0.2.0
+Package: libopeniscsiusr
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -81,9 +81,9 @@
  This package contains the iSCSI userspace library.
 
 Package: libopeniscsiusr-dev
-Architecture: linux-any
+Architecture: all
 Depends: ${misc:Depends},
-         libopeniscsiusr0.2.0 (= ${binary:Version})
+         libopeniscsiusr
 Enhances: open-iscsi
 Description: iSCSI userspace library headers
  The Open-iSCSI project is a high-performance, transport independent,
@@ -108,9 +108,10 @@
 
 Package: iscsiuio
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libopeniscsiusr0.2.0,
+         libopeniscsiusr,
          udev
 Enhances: open-iscsi
 Description: iSCSI offloading daemon for QLogic devices
@@ -138,13 +139,11 @@
 #       linux kernel udebs) must exist for these architectures - so
 #       check that before adding them to this list; the other
 #       scsi-(core|common|...)-modules are NOT sufficient!
-Architecture: amd64 arm64 armhf ia64 mips mipsel powerpc ppc64 ppc64el s390x
+Architecture: amd64 arm64 armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x
 Section: debian-installer
 Package-Type: udeb
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libopeniscsiusr0.2.0,
-         udev,
          scsi-modules
 Description: Configure iSCSI
  The Open-iSCSI project is a high-performance, transport independent,
