=== debian/tests/control ===
Tests: install
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: nested
Restrictions: needs-root, isolation-machine, breaks-testbed, allow-stderr
Depends: targetcli-fb, qemu-system, qemu-utils, python3, python3-netifaces
