## open-iscsi 2.1.4

=== debian/changelog ===
open-iscsi (2.1.4-0ubuntu1) impish; urgency=medium

  * Merge with Debian unstable (LP: #1934290). Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
      Note: this suite should be replaced by LIO that replaced TGT in main.
    - d/iscsid.service: Let iscsid systemd job run in privileged containers
      but not in unprivileged ones
    - debian/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
      run ipconfig to gather all DHCP config info, including DNS search
      domain, which iBFT can't provide.
    - Remove initramfs interfaces stamp in case no iscsi devs mounted
      If iscsi root was requested, but no iscsi devices were mounted, remove
      the initramfs interfaces stamp file. Meaning, that on shutdown there is
      no 30s delay, whilst trying to re-establish iscsi login to perform a
      logout.
    - add IPv6 support
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being shipped
        in DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
        /run/initramfs/open-iscsi.interface
    - d/rules, d/open-iscsi.finalrd, d/control: ship the finalrd iscsi
      logout hook and recommend finalrd and busybox for the logout hook
      to work.
    - Make iscsid socket-activated to only activate it as needed:
      + debian/open-iscsi.service: do not start or check iscsid.service
      + debian/rules: install and enable iscsid.socket
      + debian/open-iscsi.postinst:
        + run restart logic only if service is running on upgrade
        + drop no longer reachable upgrade path that affects iscsid
        + disable iscsid.service on upgrade
        + handle iscsid.socket to be started if the service is not running yet
      + d/iscsi-disk.rules: Add a udev rule so that iscsid.service will be
        run when udev disks are attached.
      + d/iscsid.service: Remove ExecStop= directive.
      + debian/tests/install: fix tests to work with socket activation
      + debian/patches/lp1755858-default-iscsid_conf-to-iscsid_socket.patch
    - debian/open-iscsi.service: Start open-iscsi systemd job when either
      /etc/iscsi/nodes or /sys/class/iscsi_session have content.
    - Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown if the system is using
      resolvconf or ifupdown:
      + d/iscsi-network-interface.rules
      + d/extra/net-interface-handler
    - debian/extra/initramfs.hook: add ib_iser to the list of modules
      included in the initramfs, so that we can in principle support
      iscsi root on infiniband.
    - debian/open-iscsi.kmod drop: (LP 1833586)
      no static module list is needed if we let iscsid load modules itself.
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - d/extra/initramfs.local-{top,bottom}: move removal of
      open-iscsi.interface file from local-top to local-bottom,
      and fix shell quoting issue that would result in /run/initramfs/
      open-iscsi.interface always being removed (LP 1872813)
    - d/rules: Don't FTBFS due to warnings new in gcc10 regarding bounds and
      initialization, because upstream's gcc10 support is incomplete. This
      change can be dropped when upstream has completed their gcc support.
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi-udeb.start,
      d/open-iscsi.postinst: Apply Ubuntu branding to iqn initiator name
  * Added changes
    - merge bug fix release 2.1.4 from upstream
    - Revert "Add patches from upstream" [upstream in 2.1.4]
    - d/control: Transition from libopeniscsiusr0.2.0 to libopeniscsiusr

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Jul 2021 14:13:08 +0200

open-iscsi (2.1.3-1ubuntu6) hirsute; urgency=medium

  * d/open-iscsi.finalrd: fix UID resolution issues in logout (LP: #1922976)
    Thanks to Michael Brown

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Mar 2021 09:44:07 +0100

open-iscsi (2.1.3-1ubuntu5) hirsute; urgency=medium

  * make d/t/testuite python3 compatible (LP: #1919461)
    - backport changes from qa-regression-testing since we diverged
      - various tests: make py3 compliant, fix formatting a bit
      - tests: convert deprecated assertEquals() to assertEqual()
      - Remove all references to python-utils
    - d/t/testlib.py: update to last state from
      git+ssh://git.launchpad.net/qa-regression-testing
    - d/t/{control,testsuite}: bump to use python3
    - d/t/test-open-iscsi.py: switch shebang to python3
    - d/t/test-open-iscsi.py: adapt to updated testlib
  * Add patches from upstream [this is from Debian upload 2.1.3-2]:
    - Fix memory leak in iscsiadm, Fix iscsiadm segfault when exiting, and
    - Fix iscsistart login issue when target is delayed. The last one should
    - fix iscsi-root with delayed network (Closes: #980085)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Mar 2021 09:44:07 +0100

open-iscsi (2.1.3-1ubuntu4) hirsute; urgency=medium

  * Rebuild again so s390x pick up the right debhelper

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2021 16:29:41 +0100

open-iscsi (2.1.3-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:42 +0100

open-iscsi (2.1.3-1ubuntu2) hirsute; urgency=medium

  * Apply Ubuntu branding to iqn initiator name.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Feb 2021 00:05:22 +0000


