=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: open-iscsi
 Section: net
 Priority: optional
-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian iSCSI Maintainers <open-iscsi@packages.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Christian Seiler <christian@iwakd.de>,
            Chris Hofstaedtler <zeha@debian.org>
@@ -31,6 +32,7 @@
          ${shlibs:Depends},
          libopeniscsiusr,
          udev
+Recommends: ${busybox:Recommends}, finalrd (>= 3)
 Pre-Depends: debconf | debconf-2.0
 Description: iSCSI initiator tools
  The Open-iSCSI project is a high-performance, transport independent,
@@ -58,6 +60,8 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Replaces: libopeniscsiusr0.2.0 (<< 2.1.4-0ubuntu1~)
+Breaks: libopeniscsiusr0.2.0 (<< 2.1.4-0ubuntu1~)
 Enhances: open-iscsi
 Description: iSCSI userspace library
  The Open-iSCSI project is a high-performance, transport independent,
@@ -139,7 +143,7 @@
 #       linux kernel udebs) must exist for these architectures - so
 #       check that before adding them to this list; the other
 #       scsi-(core|common|...)-modules are NOT sufficient!
-Architecture: amd64 arm64 armhf i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x
+Architecture: amd64 arm64 armhf ia64 mips mipsel powerpc ppc64 ppc64el s390x
 Section: debian-installer
 Package-Type: udeb
 Depends: ${misc:Depends},
@@ -150,3 +154,11 @@
  multi-platform implementation of RFC3720 iSCSI.
  .
  This is the minimal package (udeb) used by debian-installer.
+
+Package: libopeniscsiusr0.2.0
+Depends: libopeniscsiusr, ${misc:Depends}
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
