=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 export KBUILD_BUILD_TIMESTAMP = @$(SOURCE_DATE_EPOCH)
 
 UDEB := $(filter open-iscsi-udeb,$(shell dh_listpackages))
+
+# Fix gcc10 warnings as errors while upstream doesn't catch up
+export DEB_CFLAGS_PREPEND=-Wno-error=zero-length-bounds -Wno-error=format-overflow= -Wno-error=format-truncation= -Wno-error=maybe-uninitialized
+export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}
 
 %:
 	dh $@
@@ -43,6 +47,9 @@
 	dh_install -p open-iscsi debian/extra/logout-all.sh lib/open-iscsi/
 	dh_install -p open-iscsi debian/extra/startup-checks.sh lib/open-iscsi/
 	dh_install -p open-iscsi debian/extra/activate-storage.sh lib/open-iscsi/
+	dh_install -p open-iscsi debian/extra/net-interface-handler lib/open-iscsi/
+	dh_install -p open-iscsi debian/open-iscsi.finalrd usr/share/finalrd/
+	dh_install -p open-iscsi etc/systemd/iscsid.socket lib/systemd/system/
 	mkdir -p debian/open-iscsi/usr/bin
 	ln -s /sbin/iscsiadm debian/open-iscsi/usr/bin/iscsiadm
 	mkdir -p debian/open-iscsi/usr/share/initramfs-tools/hooks
@@ -51,10 +58,9 @@
 	cp -p debian/extra/initramfs.hook debian/open-iscsi/usr/share/initramfs-tools/hooks/iscsi
 	cp -p debian/extra/initramfs.local-top debian/open-iscsi/usr/share/initramfs-tools/scripts/local-top/iscsi
 	cp -p debian/extra/initramfs.local-bottom debian/open-iscsi/usr/share/initramfs-tools/scripts/local-bottom/iscsi
-	mkdir -p debian/open-iscsi/lib/modules-load.d/
-	cp -p debian/open-iscsi.kmod debian/open-iscsi/lib/modules-load.d/open-iscsi.conf
 	mkdir -p debian/open-iscsi/lib/udev/rules.d/
 	cp -p debian/open-iscsi.rules debian/open-iscsi/lib/udev/rules.d/70-open-iscsi.rules
+	cp -p debian/iscsi-network-interface.rules debian/open-iscsi/lib/udev/rules.d/70-iscsi-network-interface.rules
 
 	@# iscsiuio
 	dh_install -p iscsiuio iscsiuio/src/unix/iscsiuio /sbin
@@ -77,17 +83,19 @@
 endif
 
 override_dh_installinit:
-	dh_installinit -p open-iscsi --name=iscsid
-	dh_installinit -p open-iscsi
-	dh_installinit -p iscsiuio
+	dh_installinit -p open-iscsi --no-start --no-enable --no-stop-on-upgrade --name=iscsid
+	dh_installinit -p open-iscsi --no-start --no-enable --no-stop-on-upgrade
+	dh_installinit -p iscsiuio --no-start --no-enable --no-stop-on-upgrade
 
 override_dh_systemd_enable:
-	dh_systemd_enable -p open-iscsi --name=iscsid
-	dh_systemd_enable -p open-iscsi
+	dh_systemd_enable -p open-iscsi --name=iscsid --no-enable iscsid.service
+	dh_systemd_enable -p open-iscsi --name=iscsid iscsid.socket
+	dh_systemd_enable -p open-iscsi open-iscsi.service
 	dh_systemd_enable -p iscsiuio
 
 override_dh_systemd_start:
-	dh_systemd_start -p open-iscsi --no-restart-on-upgrade iscsid.service open-iscsi.service
+	dh_systemd_start -p open-iscsi --no-restart-on-upgrade iscsid.socket
+	dh_systemd_start -p open-iscsi --no-restart-on-upgrade open-iscsi.service
 	dh_systemd_start -p iscsiuio --no-restart-on-upgrade iscsiuio.service
 
 override_dh_installman:
@@ -110,3 +118,14 @@
 else
 	dh_makeshlibs
 endif
+
+# The following is taken from the initramfs-tools package. (We recommend
+# busybox in the initramfs because otherwise we don't have access to the
+# ip utility to set the default gateway after iscsistart -N is done.)
+# On Debian we can use either busybox or busybox-static, but on Ubuntu
+# and derivatives only busybox-initramfs will work.
+BUSYBOX_PACKAGES := $(shell if dpkg-vendor --derives-from ubuntu; then echo busybox-initramfs; else echo busybox busybox-static; fi)
+
+override_dh_gencontrol:
+	echo >> debian/open-iscsi.substvars "busybox:Recommends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| %))"
+	dh_gencontrol
